using Codex.Events.Channels;
using UnityEngine;

public class KillCollider : MonoBehaviour
{
    [SerializeField] private VoidEventChannelSO onLostLife;
    private void OnTriggerEnter2D(Collider2D other)
    {
        onLostLife.RaiseEvent();
        Destroy(other.gameObject);
    }
}
